<?php
namespace Teknisa\FIS\Controllers;

use Teknisa\FIS\Services\Fis57000FichaConteudoImportacaoService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;


class Fis57000FichaConteudoImportacaoController extends \Teknisa\FIS\Controllers\TeknisaCrud{

    protected $parameterBag;
    protected $crudService;
    protected $service;

    public function __construct($crudService, ParameterBag $parameterBag, Fis57000FichaConteudoImportacaoService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }

    public function apurarPeriodoFci(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $resul = $this->service->apurarPeriodoFci($row);
            $response->addDataSet(new DataSet("resul", $resul));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    
    public function buscaVrvendaie(DTO\Request $request, DTO\Response $response) {
        $resul = $this->service->buscaVrvendaie($row);
        return $resul;
    }
    
    public function geraTxt(DTO\Request $request, DTO\Response $response){
        $content = 'teste';
        
        header('Cache-control: private');
        header('Content-Type: application/octet-stream');
        header("Content-Disposition: attachment; filename=arquivo.txt");
        
        // Envia o arquivo Download
        echo $content;
    }
}
