<?php
namespace Teknisa\FIS\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\FIS\Factories\Fis57000FichaConteudoImportacaoFactory;
use Teknisa\Libs\Util\Environment;
use Zeedhi\Framework\DTO\Row;

class Fis57000FichaConteudoImportacaoService {

    protected $nrorg;
    protected $environment;
    protected $entityManager;
    protected $factory;

    public function __construct(Environment $environment, EntityManager $entityManager, Fis57000FichaConteudoImportacaoFactory $factory) {
        $this->environment       = $environment;
        $this->entityManager     = $entityManager;
        $this->factory           = $factory;
        $this->nrorg             = $this->environment->getNrOrg();
    }
    
    public function apurarPeriodoFci($row){
        try {
            $resultado = [];
            
            $connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
            //$this->factory->limpaDadosApurados($row['CDFILIAL'], $row['NRMAPAFCI']);
            $resultado = $this->factory->buscaDadosApuracao($row['CDFILIALFCI'], $row['DTINIPERIODO'], $row['DTFIMPERIODO']);
            var_dump($resultado);die;
            $this->factory->insereDadosApurados($row['CDFILIALFCI'], $row['NRMAPAFCI'], $GERAR['NRSEQITMAPAFCI'], $resultado['CDPRODUTOOP'], $resultado['NRORDPROD'], $resultado['NRSUBORDPROD'], $resultado['QTPRODUZIDA'], $resultado['CDPRODINSUMO'], $resultado['NRLOTEESTQ'], $resultado['NRSUBLOTE'], $resultado['CDFILIAL'], $resultado['NRLANCTONF'], $resultado['NRSEQITPROD'], $resultado['VRUNITITEM']);
            
            $connection->commit();
            
            return $resultado;
        }catch (\Exception $e) {
            $this->entityManager->rollback();
            throw $e;
        }
    }
}