var Fis08300_GiamTo_Controller = function(General, ScreenService, templateManager, Messages_fiscal, restEngine, ObrigacoesAcessoriasUtil){
    
    var self = this;
    var DataSourceArray = [];
    
    this.param_difOnEnter = function(widget){
        widget.applyDefaultValue();
        widget.reload().then(function(data){
            // Redesenha os dados carregados na tab
            widget.redraw();
        });
        //
    };
    
    this.tare = function(widget){
        var portador = widget.currentRow.IDPORTTARE;
        var numero = widget.getField('NRTARE');
        var data = widget.getField('DTVALTARE');
        
        if (portador == 'S'){
            numero.readOnly = false;
            data.readOnly = false;
            numero.validations= {'required' : true};
            data.validations= {'required' : true};
        }else {
            numero.readOnly = true;
            data.readOnly = true;
            delete numero.validations;
            delete data.validations;   
        }
        templateManager.updateTemplate();
    };
    
    var preencherCamposAbstratosParaSalvar = function(parametrosWidget){
        parametrosWidget.currentRow.CDCAMPO1 = parametrosWidget.currentRow.CDREPRES;
        parametrosWidget.currentRow.CDCAMPO2 = parametrosWidget.currentRow.IDRETIFIC;
        parametrosWidget.currentRow.CDCAMPO3 = parametrosWidget.currentRow.IDTPESTAB;
        parametrosWidget.currentRow.CDCAMPO4 = parametrosWidget.currentRow.CDTPESCRITU;
        parametrosWidget.currentRow.VRCAMPO1 = parametrosWidget.currentRow.SALDOINICX;
        parametrosWidget.currentRow.VRCAMPO2 = parametrosWidget.currentRow.SALDOFINCX; 
        parametrosWidget.currentRow.CDCAMPO5 = parametrosWidget.currentRow.IDUSUARIOECF;
        parametrosWidget.currentRow.CDCAMPO6 = parametrosWidget.currentRow.CDVERSAO;
        parametrosWidget.currentRow.CDCAMPO7 = parametrosWidget.currentRow.IDPORTTARE;
        parametrosWidget.currentRow.CDCAMPO8 = parametrosWidget.currentRow.NRTARE;
        parametrosWidget.currentRow.DTCAMPO1 = parametrosWidget.currentRow.DTVALTARE;
        parametrosWidget.currentRow.CDCAMPO9 = parametrosWidget.currentRow.IDMUDAMUNI;
        parametrosWidget.currentRow.CDCAMPO10 = parametrosWidget.currentRow.CDMUNIANT;
        parametrosWidget.currentRow.DTCAMPO2 = parametrosWidget.currentRow.DTINIMUNIANT;
        parametrosWidget.currentRow.DTCAMPO3 = parametrosWidget.currentRow.DTFINMUNIANT;
        parametrosWidget.currentRow.DTCAMPO4 = parametrosWidget.currentRow.DTINIMUNIATU;
        parametrosWidget.currentRow.DTCAMPO5 = parametrosWidget.currentRow.DTFINMUNIATU;
    };
    
    var setParametersVerified = function(widget){
        var currentRow = widget.currentRow;
        var giamtoFiscalIsSelected = widget.name == "param_to";
        if (giamtoFiscalIsSelected) {
            // Verifica se o objeto já foi criado pra esta empresa.
            if (!widget.empresasLoaded[currentRow.CDEMPRESA]) {
                widget.empresasLoaded[currentRow.CDEMPRESA] = {};
            }
            // Seta o parâmetro para a empresa selecionada.
            widget.empresasLoaded[currentRow.CDEMPRESA] = true;
        }
        else {
            // Modifica a propriedade indicando que a parametrização foi
            // aberta para a empresa selecionada.
            widget.empresasLoaded[currentRow.CDEMPRESA] = true;
        }
    }; 
    
    this.validadata = function(widget){
        var data_1 = widget.currentRow.DTINIMUNIANT;
        var data_2 = widget.currentRow.DTFINMUNIANT;
        var data_3 = widget.currentRow.DTINIMUNIATU;
        var data_4 = widget.currentRow.DTFINMUNIATU;
        var Compara01 = parseInt(data_1.split("/")[2].toString() + data_1.split("/")[1].toString() + data_1.split("/")[0].toString());
        var Compara02 = parseInt(data_2.split("/")[2].toString() + data_2.split("/")[1].toString() + data_2.split("/")[0].toString());
        var Compara03 = parseInt(data_3.split("/")[2].toString() + data_3.split("/")[1].toString() + data_3.split("/")[0].toString());
        var Compara04 = parseInt(data_4.split("/")[2].toString() + data_4.split("/")[1].toString() + data_4.split("/")[0].toString());
        
        if(Compara01 > Compara02){
            ScreenService.showMessage('Data Inicial não pode ser maior que a data Final!');
        }else{
            
        }
  
    };
    
    this.mudanca = function(widget){
        var mudanca = widget.currentRow.IDMUDAMUNI;
        var codigo = widget.getField('NMMUNICIPIO');
        var datainAnter = widget.getField('DTINIMUNIANT');
        var datafiAnter = widget.getField('DTFINMUNIANT');
        var datainAtual = widget.getField('DTINIMUNIATU');
        var datafiAtual = widget.getField('DTFINMUNIATU');
        
        if (mudanca == 'S'){
            codigo.readOnly = false;
            datainAnter.readOnly = false;
            datafiAnter.readOnly = false;
            codigo.validations = {'required' : true};
            datafiAnter.validations = {'required' : true};
            datainAnter.validations = {'required' : true};
            
            if(datafiAtual){
                datafiAtual.readOnly = false;
                datafiAtual.validations = {'required' : true};    
            }
            if(datainAtual){
                datainAtual.readOnly = false;
                datainAtual.validations = {'required' : true};    
            }
        }else {
            codigo.readOnly = true;
            datainAnter.readOnly = true;
            datafiAnter.readOnly = true;
            
            delete codigo.validations;
            delete datafiAnter.validations;
            delete datainAnter.validations;
            
            codigo.setValue('');
            datainAnter.setValue('');
            datafiAnter.setValue('');
            
            
            
            if(datafiAtual){
                datafiAtual.readOnly = true;
                delete datafiAtual.validations;
                datafiAtual.setValue('');
            }
            if(datainAtual){
                datainAtual.readOnly = true;
                delete datainAtual.validations;
                datainAtual.setValue('');
            }
                
        }
        templateManager.updateTemplate();
    };
    
    self.exportarGiam = function(validaToWidget){
        // Verifica se todos os campos requeridos estão de fato preenchidos
        var parametrosWidget = templateManager.container.getWidget('param_to');
        // Verifica se todos os campos requeridos estão de fato preenchidos
        if(validaToWidget.isValid()){    
            // Verifica se a parametrização não foi carregada e verificada
            if(!parametrizacaoWasLoaded(parametrosWidget)){
                return;
            }
            var row = { current: validaToWidget.currentRow, dataset: parametrosWidget.dataSource.data };
            var route = 'fis#/exportar';
            var message = Messages_fiscal.EXPORTANDO;
            ObrigacoesAcessoriasUtil.exportarArquivo(row, route, message);
        }
    };
    
    self.exportarDif = function(widget){
        var param_dif = templateManager.container.getWidget('param_dif');
        // Verifica se todos os campos requeridos estão de fato preenchidos
        if(widget.isValid()){
            if(!parametrizacaoWasLoaded(param_dif)){
                return;
            }
            var row = { current: widget.currentRow, dataset: param_dif.dataSource.data };
            var route = 'fis#/exportardif';
            var message = Messages_fiscal.EXPORTANDO;
            ObrigacoesAcessoriasUtil.exportarArquivo(row, route, message);
        }

    };
    /**
     * Função auxiliar que verifica se a tab de parametrização foi aberta ao exportar,
     * através da propriedade 'empresasLoaded'.
     */ 
    var parametrizacaoWasLoaded = function(parametrosWidget){
        // Verifica se a widget de parametrização não foi aberta antes de
        // clicar no botão de exportar
        if(!parametrosWidget.isValid()){
            // Muda a propriedade para que a parametrização seja obrigatória
            parametrosWidget.parametersRequired = true;
            // Exibe mensagem indicando a obrigatoriedae da verificação dos parametros
            ScreenService.showMessage(Messages_fiscal.PARAMETROS_GERAIS_NAO_INFORMADOS_ERROR).
            then(function(){
                // Abre a widget/tab de parâmetros
                openTabParametrosGerais(parametrosWidget);
            });
            return false;
        }else{
            return true;
        }
        // Retorna true, caso a parametrização já tenha sido aberta
        return true;
    };
    /**
     * Função auxiliar que abre a tab de parâmetros pela primeira vez.
     */ 
    var openTabParametrosGerais = function(parametrosWidget){
        // Recarrega os dados (dataSource) parametrizados
        parametrosWidget.reload().then(function(){
            // Redesenha os dados carregados na tab
            parametrosWidget.redraw();
        });
        // Define a tab de parametricação como ativa
        parametrosWidget.activate();
    };
    /**
     * Função auxiliar que cria e preenche propriedades da widget principal,
     * com os valores das fields da tab de parâmetros
     */
    var preenhcerPropriedadesWidgetPrincipal = function(widget, parametrosWidget){
        widget.currentRow.CDCAMPO1 = parametrosWidget.currentRow.CDREPRES;
        widget.currentRow.CDCAMPO2 = parametrosWidget.currentRow.IDRETIFIC;
        widget.currentRow.CDCAMPO3 = parametrosWidget.currentRow.IDTPESTAB;
        widget.currentRow.CDCAMPO4 = parametrosWidget.currentRow.CDTPESCRITU;
        widget.currentRow.VRCAMPO1 = parametrosWidget.currentRow.SALDOINICX;
        widget.currentRow.VRCAMPO2 = parametrosWidget.currentRow.SALDOFINCX; 
        widget.currentRow.CDCAMPO5 = parametrosWidget.currentRow.IDUSUARIOECF;
        widget.currentRow.CDCAMPO6 = parametrosWidget.currentRow.CDVERSAO;
        widget.currentRow.CDCAMPO7 = parametrosWidget.currentRow.IDPORTTARE;
        widget.currentRow.CDCAMPO8 = parametrosWidget.currentRow.NRTARE;
        widget.currentRow.DTCAMPO1 = parametrosWidget.currentRow.DTVALTARE;
        widget.currentRow.CDCAMPO9 = parametrosWidget.currentRow.IDMUDAMUNI;
        widget.currentRow.CDCAMPO10 = parametrosWidget.currentRow.CDMUNIANT;
        widget.currentRow.DTCAMPO2 = parametrosWidget.currentRow.DTINIMUNIANT;
        widget.currentRow.DTCAMPO3 = parametrosWidget.currentRow.DTFINMUNIANT;
        widget.currentRow.DTCAMPO4 = parametrosWidget.currentRow.DTINIMUNIATU;
        widget.currentRow.DTCAMPO5 = parametrosWidget.currentRow.DTFINMUNIATU;
        
    };
    
    self.salvarParametrizacaoGiam = function(parametrosWidget){
        // Verifica se todos os campos requeridos estão de fato preenchidos
        if(parametrosWidget.isValid()){
            var validaToWidget = templateManager.container.getWidget('giamto');

            preencherCamposAbstratosParaSalvar(parametrosWidget);
            var filter = [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": validaToWidget.currentRow.CDEMPRESA
                },
                {
                    "name": "CDINSCESTA",
                    "operator": "=",
                    "value": validaToWidget.currentRow.CDINSCESTA
                },
                {
                    "name": "NRORG",
                    "operator": "=",
                    "value": getLocalVar('NRORG')
                }
            ];
            
            General.callRestEngine('fis_acessorias#/crud/paramdeclaces_GiamTo', 'FilterData', filter).then(function (result) {
                result = result.dataset.paramdeclaces_GiamTo;
                
                if(result.length != 0)
                    parametrosWidget.currentRow.__is_new = false;
                    
                parametrosWidget.saveRow()
                .then(function(){
                    // Seta os parametros como verificados pelo usuário
                    setParametersVerified(parametrosWidget);
                    // Ativa a widget principal
                    validaToWidget.activate();
                    validaToWidget.currentWidget = validaToWidget;
                    /**
                     * Verifica se a tela de parâmetros foi exibida devido a uma tentativa
                     * de exportação. Caso positivo, a exportação é efetuada
                     */
                    if(parametrosWidget.parametersRequired){
                        self.exportarGiam(validaToWidget);
                        // Valida a propriedade para false, caso a tela de parametros seja
                        // novamente aberta. E assim não haverá exportação sempre ao sair
                        parametrosWidget.parametersRequired = false;
                    }
                });
            });
        }
    };
    
    self.setLoadedParameters = function(parametrosWidget){
        var giamtoWidget = templateManager.container.getWidget("giamto");
        if(DataSourceArray.length > 0){   
            if(DataSourceArray == "" || DataSourceArray[0].CDINSCRICAO == giamtoWidget.currentRow.CDINSCESTA){
                parametrosWidget.dataSource.data = DataSourceArray[0];
            }else{
                
            }
        }
        if(parametrosWidget.dataSource.data.length > 0){
            // Seta a currentRow como sendo o primeiro indice do data[] retornado
            parametrosWidget.moveToFirst();
            // Redesenha na widget principal, os fields com os valores da nova 
            // currentRow
            parametrosWidget.redraw();
        }else{
            // Seta a widget em modo de novo dado, para inserir a parametrização
            parametrosWidget.newRow();
            parametrosWidget.currentRow.CDEMPRESA = giamtoWidget.currentRow.CDEMPRESA;
        }
        // Seta o nome da empresa no campo select de empresa, devido a um
        // comportamento que não exibe o nome da empresa correspondente ao código.
        parametrosWidget.currentRow.NMEMPRESA = giamtoWidget.currentRow.NMEMPRESA;
    };
    /**
     * Função invocada ao sair da widget de parametros, que seta os mesmos como 
     * verificados
     */ 
    self.beforeExitParametrosGerais = function(parametrosWidget){
        // Seta a parametrização como verificada somente se a widget não estiver
        // em modo de inserção, mas sim de verificação
        if(!parametrosWidget.isNewRow()){
            setParametersVerified(parametrosWidget);
        }
    };
    
    this.salvar = function(args){
        var widget = args;
        var validaToWidget = templateManager.container.getWidget('giamto');
        preencherCamposAbstratosParaSalvar(widget);
            var filter = [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": validaToWidget.currentRow.CDEMPRESA
                },
                {
                    "name": "CDINSCESTA",
                    "operator": "=",
                    "value": validaToWidget.currentRow.CDINSCESTA
                },
                {
                    "name": "NRORG",
                    "operator": "=",
                    "value": getLocalVar('NRORG')
                }
            ];
            
        General.saveCrud(widget).then(function(Success) {
        }.bind(this), function(callback){
            if(callback.data){
                ScreenService.showMessage(callback.data.error);
            }
        });
    };
      
    self.salvarParametrizacao = function(parametrosWidget){
        var currentRow  = parametrosWidget.currentRow;
        var difto = templateManager.container.getWidget('difto');
        var filter = [
                {
                    "name": "CDEMPRESA",
                    "operator": "=",
                    "value": difto.currentRow.CDEMPRESA
                },
                {
                    "name": "CDINSCESTA",
                    "operator": "=",
                    "value": difto.currentRow.CDINSCESTA
                },
                {
                    "name": "CDINSCRICAO",
                    "operator": "=",
                    "value": difto.currentRow.CDINSCESTA
                },
                {
                    "name": "NRORG",
                    "operator": "=",
                    "value": getLocalVar('NRORG')
                }
            ]; 
            parametrosWidget.currentRow.CDEMPRESA = difto.currentRow.CDEMPRESA;
            parametrosWidget.currentRow.CDINSCESTA = difto.currentRow.CDINSCESTA;
        if(parametrosWidget.isValid()){
            General.callRestEngine('fis_acessorias#/crud/paramdeclaces_DifTo', 'FilterData', filter).then(function (result) {
                result = result.dataset.paramdeclaces_DifTo;
                
                
                
                parametrosWidget.currentRow.NRORG       =    parametrosWidget.currentRow.NRORG;
                parametrosWidget.currentRow.CDEMPRESA   =    parametrosWidget.currentRow.CDEMPRESA;
                parametrosWidget.currentRow.CDINSCESTA  =    parametrosWidget.currentRow.CDINSCESTA;
                parametrosWidget.currentRow.CDCAMPO1    =    parametrosWidget.currentRow.IDRETIFIC;
                parametrosWidget.currentRow.CDCAMPO2    =    parametrosWidget.currentRow.IDTPESTAB;
                parametrosWidget.currentRow.CDCAMPO3    =    parametrosWidget.currentRow.FINALIDADE;
                parametrosWidget.currentRow.CDCAMPO4    =    parametrosWidget.currentRow.CDTPESCRITU;
                parametrosWidget.currentRow.VRCAMPO1    =    parametrosWidget.currentRow.SALDOINICX;
                parametrosWidget.currentRow.VRCAMPO2    =    parametrosWidget.currentRow.SALDOFINCX;
                parametrosWidget.currentRow.CDCAMPO5    =    parametrosWidget.currentRow.VALORPATRLIQ;
                parametrosWidget.currentRow.CDCAMPO6    =    parametrosWidget.currentRow.INSCESTCENT;
                parametrosWidget.currentRow.CDCAMPO7    =    parametrosWidget.currentRow.REGAPUR;
            	parametrosWidget.currentRow.CDCAMPO8    =    parametrosWidget.currentRow.CDVERSAO;
                parametrosWidget.currentRow.CDCAMPO9    =    parametrosWidget.currentRow.IDMUDAMUNI;
                parametrosWidget.currentRow.CDCAMPO10   =    parametrosWidget.currentRow.CDMUNICIPIO;
                parametrosWidget.currentRow.DTCAMPO2    =    parametrosWidget.currentRow.DTINIMUNIANT;
                parametrosWidget.currentRow.DTCAMPO3    =    parametrosWidget.currentRow.DTFINMUNIANT;
                parametrosWidget.currentRow.CDINSCRICAO =    parametrosWidget.currentRow.CDINSCRICAO;
                parametrosWidget.currentRow.CDTELA      =    parametrosWidget.currentRow.CDTELA;
                
                if(result.length != 0)
                    parametrosWidget.currentRow.__is_new = false;
                    
                parametrosWidget.saveRow()
                .then(function(){
                    // Seta os parametros como verificados pelo usuário
                    setParametersVerified(parametrosWidget);
                    // Ativa a widget principal
                    difto.activate();
                    difto.currentWidget = difto;
                    /**
                     * Verifica se a tela de parâmetros foi exibida devido a uma tentativa
                     * de exportação. Caso positivo, a exportação é efetuada
                     */
                    if(parametrosWidget.parametersRequired){
                        self.exportarDif(difto);
                        // Valida a propriedade para false, caso a tela de parametros seja
                        // novamente aberta. E assim não haverá exportação sempre ao sair
                        parametrosWidget.parametersRequired = false;
                    }
                });
            });
        }
    
        
    };
};
Configuration(function(ContextRegister){
    ContextRegister.register("Fis08300_GiamTo_Controller", Fis08300_GiamTo_Controller);
});